SELECT
	count(*)
FROM (
<%
<%(@@# > 0)
UNION ALL
%>

	SELECT
		<%|replace("__SCHEMA__", $(archive_group.%archive_group.schemas.@)),replace("''", "'")|%select%>,
		list_time,
		'$(archive_group.%archive_group.schemas.@)' AS schema
	FROM    
		<%|replace("__SCHEMA__", $(archive_group.%archive_group.schemas.@)),replace("''", "'")|%search_tables%>
		<%(?search_tables && ?tables),%>
		<%|replace("__SCHEMA__", $(archive_group.%archive_group.schemas.@)),replace("''", "'")|%tables%>
	WHERE
		<%|replace("__QUERY__", %query),replace("''", "'")|%search_condition%>
		<%(?search_condition)AND%>
		<%|replace("''", "'")|%condition%>
		<%(?time_from)AND %timecol >= '%time_from'%>
		<%(?time_to)AND %timecol <= '%time_to'%>
		<%(?region)AND ads.region = %region%>
		<%(?category)AND ads.category IN (
           		%category
                	<%($(cat.%category.old.cat) > 0), $(cat.%category.old.cat)%>
			<%($(cat.@.parent) == %category)
				, $(cat.*)
				<%($$(cat.@.old.cat) > 0),	$$(cat.@.old.cat)%>
			%>
		)%>
		<%(?gallery_only)AND EXISTS (SELECT * FROM $$(archive_group.%archive_group.schemas.@).ad_params WHERE ad_id = ads.ad_id AND name = 'gallery')%>
%>
) AS alias;
